Contents
Index 🔎︎

# On Error GoTo ... Resume Statement

karaa qabanoo-dogongoraa erga dogongorri uumameen booda dandeessisi, ykn sagantaa raawwii itti fufa

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

Gara Labelname Deemi: Yoo dogongorri uumame, karaa qabannoo dogongoraa sarara kan "Labelname"jalqabu dandeessisi.

Yoo dogongorri uumameItt Aanutti Fufi:, sagantaan raawwii hima kan hima dogongorri uumame hordofu walin fufa

Gara 0 Deemi: waa'iila dogongora adeemsa ammaa dhaamsi

Local: "On error" is global in scope, and remains active until canceled by another "On error" statement. "On Local error" is local to the routine which invokes it. Local error handling overrides any previous global setting. When the invoking routine exits, the local error handling is canceled automatically, and any previous global setting is restored.

The On Error GoTo statement is used to react to errors that occur in a macro.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Maxxansa #iNumber, "Kun Sarara barruuti"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "All files will be closed",  0,  "Error"
    End Sub

Matadureewwan Walfakkatan

Error-Handling Functions

Open Statement